---
title: SVG as an Image
slug: Web/SVG/SVG_as_an_Image
tags:
  - Images
  - NeedsContent
  - SVG
---
<p><span class="seoSummary">SVG images can be used as an image format, in a number of contexts. Many browsers support SVG images in:</span></p>

<ul>
 <li>HTML {{HTMLElement("img")}} or {{SVGElement("svg")}} elements</li>
 <li>CSS {{cssxref("background-image")}}</li>
</ul>

<h2 id="Gecko-specific_contexts">Gecko-specific contexts</h2>

<p>Additionally, Gecko 2.0 {{geckoRelease("2.0")}} introduced support for using <a href="/en-US/docs/SVG">SVG</a> in these contexts:</p>

<ul>
 <li>CSS {{cssxref("list-style-image")}}</li>
 <li>CSS {{cssxref("content")}}</li>
 <li>SVG {{SVGElement("image")}} element</li>
 <li>SVG {{SVGElement("feImage")}} element</li>
 <li>Canvas <a href="/en-US/docs/HTML/Canvas/Tutorial/Using_images#drawImage"><code>drawImage</code></a> function</li>
</ul>

<h3 id="Restrictions">Restrictions</h3>

<p>For security purposes, Gecko places some restrictions on SVG content when it's being used as an image:</p>

<ul>
 <li><a href="/en-US/docs/JavaScript">JavaScript</a> is disabled.</li>
 <li>External resources (e.g. images, stylesheets) cannot be loaded, though they can be used if inlined through data: URIs.</li>
 <li>{{cssxref(":visited")}}-link styles aren't rendered.</li>
 <li>Platform-native widget styling (based on OS theme) is disabled.</li>
</ul>

<p>Note that the above restrictions are specific to image contexts; they don't apply when SVG content is viewed directly, or when it's embedded as a document via the {{HTMLElement("iframe")}}, {{HTMLElement("object")}}, or {{HTMLElement("embed")}} elements.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML5 W3C", "embedded-content-0.html#the-img-element", "SVG within &lt;img&gt; element")}}</td>
   <td>{{Spec2("HTML5 W3C")}}</td>
   <td>Defines the usage of SVG within {{HTMLElement("img")}} elements.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Backgrounds", "#the-background-image", "SVG within 'background-image' CSS property")}}</td>
   <td>{{Spec2("CSS3 Backgrounds")}}</td>
   <td>Defines the usage of SVG within the {{cssxref("background-image")}} property.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/SVG_In_HTML_Introduction">SVG in HTML introduction</a></li>
</ul>
